> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export field mapping (flat interface)



## OpenAPI

````yaml /api-reference/membrane-api.json get /field-mappings/{selector}/export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /field-mappings/{selector}/export:
    get:
      tags:
        - FieldMappings
      summary: Export field mapping (flat interface)
      operationId: exportFieldMapping
      parameters:
        - name: selector
          required: true
          in: path
          schema:
            type: string
        - name: layer
          required: false
          in: query
          schema:
            type: string
            enum:
              - universal
              - integration
              - connection
        - name: integrationKey
          required: false
          in: query
          schema:
            type: string
        - name: integrationId
          required: false
          in: query
          schema:
            type: string
        - name: connectionId
          required: false
          in: query
          schema:
            type: string
        - name: connectionKey
          required: false
          in: query
          schema:
            type: string
        - name: instanceKey
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FieldMappingExportProperties'
components:
  schemas:
    FieldMappingExportProperties:
      type: object
      properties:
        uuid:
          description: >-
            Stable unique identifier (UUID). Can be provided on create;
            otherwise generated. Must be unique across elements of this type.
          type: string
        key:
          description: >-
            Stable key for referencing the element (e.g. in selectors). Unique
            per (parent, integration) scope. Generated from name if not provided
            on create.
          type: string
        name:
          description: >-
            Display name. Optional on create; used to generate key when key is
            omitted.
          type: string
        description:
          description: Optional human-readable description.
          type: string
        meta:
          description: Optional key-value metadata.
          type: object
          additionalProperties:
            type: object
        integrationUuid:
          type: string
        parentUuid:
          type: string
        externalAppUuid:
          type: string
        isCustomized:
          type: boolean
        isUniversal:
          type: boolean
        instanceKey:
          type: string
        dataSourceUuid:
          type: string
        appSchema:
          $ref: '#/components/schemas/FieldMappingExportProperties__schema0'
        direction:
          type: string
          enum:
            - import
            - export
            - both
        defaultImportValue:
          type: object
        defaultExportValue:
          type: object
        importValue:
          type: object
        exportValue:
          type: object
        unifiedImportValue:
          type: object
        unifiedExportValue:
          type: object
        frozenImportFields:
          type: object
        frozenExportFields:
          type: object
        frozenUnifiedExportFields:
          type: object
      required:
        - uuid
        - key
    FieldMappingExportProperties__schema0:
      type: object
      properties:
        $ref: cc4cb85b-27b7-41d4-b83e-e0db945241e8
        title:
          type: string
        description:
          type: string
        type:
          anyOf:
            - type: string
            - type: array
              items:
                type: string
        format:
          type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FieldMappingExportProperties__schema0'
        items:
          $ref: '#/components/schemas/FieldMappingExportProperties__schema0'
        additionalProperties:
          anyOf:
            - type: boolean
            - $ref: '#/components/schemas/FieldMappingExportProperties__schema0'
        enum:
          type: array
          items:
            anyOf:
              - type: string
              - type: number
        referenceRecords:
          type: array
          items:
            type: object
        referenceCollection:
          type: object
          properties:
            key:
              type: object
            parameters:
              type: object
              additionalProperties:
                type: object
        referenceUdm:
          type: string
        default:
          type: object
        allowCustom:
          type: boolean
        required:
          type: array
          items:
            type: string
        minLength:
          type: number
        maxLength:
          type: number
        minimum:
          type: number
        maximum:
          type: number
        maxItems:
          type: number
        readOnly:
          type: boolean
        writeOnly:
          type: boolean
        examples:
          type: array
          items:
            type: object
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/FieldMappingExportProperties__schema0'
        isImplied:
          type: boolean
        isSensitive:
          type: boolean
        referenceCollectionPath:
          type: string
        referenceCollectionUri:
          type: string
      additionalProperties:
        type: object
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````